Update the SnapLock retention time of a file
Updates the SnapLock retention time of a file to manage the retention period of data in compliance with regulatory requirements. Use this endpoint to adjust or extend the retention time of WORM files, ensuring data is retained for the necessary duration.
HTTP method and endpoint
PATCH /storage/snaplock/file/{volume.uuid}/{path}
Introduced in
ONTAP 9.7
Usage notes
Updates the SnapLock retention time of a file or extends the retention time of a WORM file. Input parameters "expiry_time" or "retention_period" can be used to set or extend the retention time of file. Both "expiry_time" and "retention_period" parameters expect the date in ISO 8601 format. Additionally, the "expiry_time" parameter can also be set to "infinite" or "unspecified" and the "retention_period" parameter can also be set to "infinite". The input parameters are mutually exclusive.
Related ONTAP commands
-
volume file retention set
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
volume.uuid |
string |
path |
True |
Volume UUID |
path |
string |
path |
True |
Path of the file in the form "/<dirpath>/<filename>" |
Request Body
| Name | Type | Description |
|---|---|---|
expiry_time |
string |
Expiry time of the file in date-time format, "infinite", "indefinite", or "unspecified". An "infinite" retention time indicates that the file will be retained forever. An "unspecified" retention time indicates that the file will be retained forever; however, the retention time of the file can be changed to an absolute value. An "indefinite" retention time indicates that the file is under Legal-Hold. |
is_expired |
boolean |
This indicates if the file is under active retention or if the file is past its expiry time. |
retention_period |
string |
Duration of retention time file to be locked with, An "infinite" retention period indicates that the file will be retained forever. |
seconds_until_expiry |
integer |
Specifies the number of seconds until the expiration time of the file. |
Example request
{
"expiry_time": "2058-06-04 15:00:00 -0400",
"is_expired": 1,
"retention_period": "P2M",
"seconds_until_expiry": 168
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response codes
| Error code | Description |
|---|---|
262179 |
Unexpected argument " |
262186 |
Field "expiry_time" cannot be used with field "retention_period" |
6691623 |
User is not authorized |
13763279 |
The resulting expiry time due to the specified retention period is earlier than the current expiry time |
14090348 |
Invalid Expiry time |
14090347 |
File path must be in the format "\/<dir>\/<file path>" |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
volume
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the volume. This field cannot be specified in a POST or PATCH method. |
uuid |
string |
Unique identifier for the volume. This corresponds to the instance-uuid that is exposed in the CLI and ONTAPI. It does not change due to a volume move.
|
snaplock_file_retention
| Name | Type | Description |
|---|---|---|
expiry_time |
string |
Expiry time of the file in date-time format, "infinite", "indefinite", or "unspecified". An "infinite" retention time indicates that the file will be retained forever. An "unspecified" retention time indicates that the file will be retained forever; however, the retention time of the file can be changed to an absolute value. An "indefinite" retention time indicates that the file is under Legal-Hold. |
is_expired |
boolean |
This indicates if the file is under active retention or if the file is past its expiry time. |
retention_period |
string |
Duration of retention time file to be locked with, An "infinite" retention period indicates that the file will be retained forever. |
seconds_until_expiry |
integer |
Specifies the number of seconds until the expiration time of the file. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |